<!DOCTYPE html>
<html lang="en">
<head>
	<meta charset="UTF-8">
	<title>Document</title>

	<style>
		
	
	img{
	width:100px;
	height:100px;
	}

	div.salida{
		border: 2px solid black;
		width:500px;
		height:50px;
		margin:20px auto;
		background-color:white;
		display:flex;
		flex-direction:row;
		align-items: center;
		justify-content: space-around;
	
	}

	div.letras_separadas{
		text-decoration:underline;
		font-size:xx-large;
		
	}

	div.imagenes{
		width:290px;
		height:320px;
		background-color:burlywood;
		margin:0 auto;
		padding:10px;
	}

	div.uno{
		width:144px;
		height:161px;
		background-image: url("1.gif");
		float:left;
		display:none;
		
	}
	div.dos{
		width:144px;
		height:161px;
		background-image: url("2.gif");
		float:left;	
		display:none;
		
	}
	div.tres{
		width:144px;
		height:161px;	
		background-image: url("3.gif");
		float:left;
		display:none;
		
	}
	div.cuatro{
		width:144px;
		height:161px;	
		background-image: url("4.gif");
		float:left;
		display:none;
		
	}

	div.inputs{
		text-align:center;
	}

	main{
		width:600px;
		height:500px;
		margin:0 auto;
		background-color: #51ACAB;
	}

	</style>

	<script type="text/javascript">

		function escoger(palabras){
			let num=0;
			let palabra_escogida="";

			num=Math.trunc(Math.random()*10);
			palabra_escogida=palabras[num];
			return palabra_escogida;
		}

		function dibujar(palabra,selector) {
			let longitud=0;
			let caja=document.querySelector(selector);

			longitud=palabra.length;

			for(i=0;i<longitud;i++) {
				caja.innerHTML+="<div class='letras_separadas'>"+""+"</div>";
			}

		}

		function comprobar(letra, palabra) {
			let encontrada=false;
			let completada=[false,false,false,false,false];
			let divs_objetivo=document.querySelectorAll(".letras_separadas");
					let caja=document.querySelector(".salida");
			
		
			for(i=0;i<palabra.length;i++) {
				if(letra==palabra[i]) {
					completada[i]=true;
					divs_objetivo[i].innerHTML=letra;
					encontrada=true;
					acierto+=1;
					} 	
				}

				if(i==palabra.length && encontrada==false) {
					acum+=1;
					fallo(acum);
				}

				if(acierto==palabra.length) {

					caja.innerHTML="Enhorabuena";
					caja.style.backgroundColor = 'lime';

					document.querySelector(".texto").style.display="none";

					let boton_letra=document.querySelector(".boton");
					boton_letra.value="Volver a empezar";

					boton_letra.addEventListener("click",function(){
					 location.reload();
					

		});	
				}
				

		}

		function fallo(acum) {
			let caja=document.querySelector(".salida");
			let boton_letra=document.querySelector(".boton");

			switch (acum) {
				case 1:
					document.querySelector(".uno").style.display='block';
					break;
				case 2:
					document.querySelector(".dos").style.display='block';
					break;
				case 3:
					document.querySelector(".tres").style.display='block';
					break;
				case 4:
					document.querySelector(".cuatro").style.display='block';
					caja.innerHTML="Has perdido. Vuelve a intentarlo";
					caja.style.backgroundColor = 'red';

					document.querySelector(".texto").style.display="none";
					boton_letra.value="Volver a empezar";
					boton_letra.addEventListener("click",function(){
					 location.reload();
					});
					 break;
				
			}
		}
		
		let palabras=["hamburguesa","bicicleta","balon","cafe","zumo","teclado","pantalla","lapicero","libreta","boligrafo"];
		let palabra="", letra="", acum=0;		
		let acierto=0;
		
		window.addEventListener("load",function(){

			palabra=escoger(palabras);
			dibujar(palabra,".salida");	
			let boton_letra=document.querySelector(".boton");
			boton_letra.addEventListener("click",function(){
			letra=document.querySelector(".texto").value;
			comprobar(letra, palabra);
			document.querySelector(".texto").value="";
			

		});	
					
		});

	</script>
</head>


<body>
<main>
<div class="imagenes">

	<div class="uno"></div>
	<div class="dos"></div>
	<div class="tres"></div>
	<div class="cuatro"></div>
	
</div>

	<div class="salida">
	
	</div>
	
	<div class="inputs">
		<input type="text" class='texto'/>
		<input type="button" value="Enviar" class='boton'>
	
	</div>

</main>
</body>
</html>